Bug 1031629 - File name is changed in Save As dialog
File name is changed in Save As dialog
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: eog (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 07:23 EST by Martin Simon
Modified: 2017-11-01 20:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 13:11:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2013-11-18 07:23:12 EST
Description of problem:
When click to Save As in Image menu, set some file type, the file name is automatically changed to any other (name of the first image in opened folder). The name should definitely remain. Only the extension (suffix) should change.

Version-Release number of selected component (if applicable):
eog-3.8.2-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Have several images in some folder
2. Open one of them (not the first or the last one)
3. Click Image->Save As (note the file name - here should be the correct original file name)
4. Choose different file format than the original one


Actual results:
The file name changes to other file name from the folder

Expected results:
The file name should remain as the original, only the extension should change.

Additional info:
Comment 1 Matthias Clasen 2013-12-12 12:34:38 EST
Filed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=720340

The image properties correctly show the new name in this case. I think this is too cosmetic to keep open for 7.1
Comment 3 RHEL Product and Program Management 2013-12-12 13:11:57 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 4 Martin Simon 2014-02-11 10:31:31 EST
Looking at the filed upstream bug I don't think it describes this bug. It's more rather this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1029047.

For clear understanding:
The problem is not title bar name (the title bar name is in above mentioned bug). The problem is that the name of actually saving file is changed without any reason to random name from the folder underhand. According to that I must write the file name again instead of only visually check the extension. When I want to change extension (do the conversion) I don't want usually change the file name.

As I really don't think it's only cosmetic bug and I guess my original report was misunderstood I'm reopening the bug.
Comment 5 RHEL Product and Program Management 2014-03-22 02:31:15 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 9 Vera Budikova 2017-07-26 00:54:23 EDT
This bug is not still fixed. 
Package version: eog-3.20.5-2.el7.x86_64

I have another information - this problem is caused by using filter - "Select which types files are shown". When I use this filter during Save as process, the file is renamed and it should not be.

Note You need to log in before you can comment on or make changes to this bug.